package com.aucma.dms.mapper;

import com.aucma.dms.domain.DmsRepairRecord;

import java.util.List;

/**
 * 维修记录Mapper接口
 *
 * @author Cascade AI
 * @date 2025-01-10
 */
public interface DmsRepairRecordMapper {
    
    /**
     * 查询维修记录
     *
     * @param recordId 维修记录主键
     * @return 维修记录
     */
    DmsRepairRecord selectDmsRepairRecordByRecordId(Long recordId);

    /**
     * 查询维修记录列表
     *
     * @param dmsRepairRecord 维修记录
     * @return 维修记录集合
     */
    List<DmsRepairRecord> selectDmsRepairRecordList(DmsRepairRecord dmsRepairRecord);

    /**
     * 新增维修记录
     *
     * @param dmsRepairRecord 维修记录
     * @return 结果
     */
    int insertDmsRepairRecord(DmsRepairRecord dmsRepairRecord);

    /**
     * 修改维修记录
     *
     * @param dmsRepairRecord 维修记录
     * @return 结果
     */
    int updateDmsRepairRecord(DmsRepairRecord dmsRepairRecord);

    /**
     * 删除维修记录
     *
     * @param recordId 维修记录主键
     * @return 结果
     */
    int deleteDmsRepairRecordByRecordId(Long recordId);

    /**
     * 批量删除维修记录
     *
     * @param recordIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDmsRepairRecordByRecordIds(Long[] recordIds);
}
